SDL_ScreenSaverEnabled(3)

NAME
SDL_ScreenSaverEnabled - Check whether the screensaver is currently enabled.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_ScreenSaverEnabled(void);

DESCRIPTION
The screensaver is disabled by default.

The default can also be changed using SDL_HINT_VIDEO_ALLOW_SCREENSAVER.

RETURN VALUE
Returns true if the screensaver is enabled, false if it is disabled.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_DisableScreenSaver(3), SDL_EnableScreenSaver(3)